@import url("https://fonts.googleapis.com/css2?family=Oswald:wght@200;--primary-colo300;400;500;600;700&family=Rajdhani:wght@300;400;500;600;700&family=Titillium+Web:ital,wght@0,200;0,300;0,400;0,600;0,700;0,900;1,200;1,300;1,400;1,600;1,700&display=swap");

/* variables */
:root {
    --primary-color: rgb(0, 143, 156);
    --secondary-color: rgb(247, 144, 49);
    --field-text-color: rgb(62, 63, 94);
    --bg-color: rgb(255, 255, 255);
    --heading-color: rgb(255, 255, 255);
    --text-color: rgb(48, 47, 69);
    --label-color: rgb(175, 176, 192);
    --border-color: rgb(222, 222, 234);
}

body {
    font-family: "Rajdhani", sans-serif;
    width: 100%;
    position: relative;
    min-height: 100vh;
}

.ls-bg {
    position: absolute;
    z-index: 0;
    width: 100%;
    height: 100%;
    top: 0;
    overflow: hidden;
    left: 0;
}

.ls-bg-inner {
    object-fit: cover;
    width: 100%;
    height: 100%;
    object-position: 50% 50%;
    background-color: rgb(51, 49, 48);
}

main {
    position: relative;
    z-index: 10000;
    min-height: 100vh;
}

.main-inner {
    position: relative;
    height: 100%;
    padding-top: 2.5rem;
}

.logo {
    display: flex;
    align-items: center;
    height: auto;
    position: relative;
    z-index: 10;
}

.logo-icon {
    width: auto;
}

.logo-icon img {
    width: 100%;
}

.logo-text {
    font-size: 37px;
    color: rgb(255, 255, 255);
    font-weight: bold;
    margin-right: 8px;
    padding-right: 8px;
    border-right: 1px solid #ccc;
}

.avbd-logo img {
    width: 120px;
}

.p-relate {
    position: relative;
    height: 100%;
}

.side-text {
    /* position: absolute;
    bottom: 0;
    left: 0;
    width: 28%; */
}

.side-text * {
    margin: 0;
}

.side-text span {
    font-size: 24px;
    color: rgb(255, 255, 255);
    text-transform: uppercase;
    display: block;
    line-height: 0.5;
}

.main-heading {
    font-size: 20px;
    color: #000000;
    text-transform: capitalize;
    font-weight: 600;
    line-height: 1.2;
}

.side-text p {
    font-size: 14px;
    color: #444444;
    margin: 20px 0;
}

.form {
    background-color: rgb(255, 255, 255);
    padding: 0 50px;
    width: 65%;
    position: relative;
    z-index: 1;
    border-left: 5px solid #e60000;
}

.form-title {
    font-size: 26px;
    color: rgb(48, 47, 69);
    font-weight: bold;
    text-align: center;
    margin-bottom: 30px;
    color: #e60000;
}

.form-group {
    margin-bottom: 20px;
    transition: 0.4s;
    position: relative;
    display: grid;
    align-items: center;
    width: 100%;
    background-color: rgb(255, 255, 255);
}

.form-group .form-control {
    border: solid 1px #e60000;
    border-radius: 2px;
    width: 100%;
    transition: 0.4s;
    padding-left: 45px;
    font-size: 16px;
    color: rgb(62, 63, 94);
}

.form-group .form-control:focus {
    outline: 0;
    border-color: rgb(247, 144, 49);
}

.form-group label {
    font-size: 20px;
    color: rgb(175, 176, 192);
    position: absolute;
    left: 17px;
    transition: 0.4s;
    pointer-events: none;
    width: max-content;
    padding: 0 3px;
    background-color: rgb(255, 255, 255);
}

.input-field:focus-within label {
    transform: translatey(-24px);
    font-size: 15px !important;
}

.form-group .form-control:valid + label {
    transform: translatey(-24px);
    font-size: 15px;
}

.form-group .form-control:invalid + label {
    font-size: 20px;
}

.login-input-icon {
    position: absolute;
    padding: 0 12px;
    font-size: 14px;
    border-right: 1px solid #e60000;
    line-height: 2.7;
    background: #e60000;
    color: #fff;
}

.forget {
    font-size: 15px;
    color: rgb(175, 176, 192);
    font-weight: bold;
    text-decoration: none;
    margin-bottom: 20px;
}

.forget:hover {
    color: rgb(247, 144, 49);
}

.login-btn button {
    background: #444444;
    border: none;
    padding: 7px 15px;
    display: block;
    width: 100%;
    color: #fff;
    font-size: 14px;
    font-weight: 600;
}

.registration-btn {
    display: flex;
    justify-content: center;
}

.registration-btn button {
    background-color: #444444;
    width: 50%;
    transition: 0.4s;
    height: 36px;
    font-size: 16px;
    margin-bottom: 0px;
    border: 0;
    position: relative;
    color: #fff;
    font-weight: bold;
    overflow: hidden;
}

.registration-btn .signup {
    background-color: rgb(0, 143, 156);
}

.divide-heading {
    position: relative;
    z-index: 1;
    margin-bottom: 30px;
}

.divide-heading span {
    font-size: 15px;
    color: rgb(62, 63, 94);
    font-weight: bold;
    text-align: center;
    background-color: rgb(255, 255, 255);
    padding: 0 20px;
    width: max-content;
    margin: 0 auto;
    display: block;
}

.divide-heading::after {
    content: "";
    position: absolute;
    width: 100%;
    background-color: rgb(234, 234, 245);
    height: 1px;
    left: 0;
    right: 0;
    margin-left: auto;
    margin-right: auto;
    top: 10px;
    z-index: -1;
}

.register-text {
    font-size: 14px;
    color: rgb(62, 63, 94);
}

.register-text a {
    color: rgb(35, 210, 226);
    text-decoration: none;
}

main .signup-form {
    display: none;
}

#sub img {
    width: 60px;
}

.highlight {
    border-top: solid 3px rgb(0, 143, 156) !important;
    border-bottom: solid 3px rgb(0, 143, 156) !important;
}

#error {
    position: fixed;
    top: 10px;
    left: 10px;
    z-index: 20;
}

.invalid {
    border: solid 2px #ff4444 !important;
    position: relative;
}

.navbar,
footer {
    display: none;
}
